柏拉图式的机器猫 2022-05-02 16:29 采纳率: 100%
浏览 200
已结题

Vmware制作Ubuntu虚拟机,使用第三方库时,报错多线程问题multiprocessing.pool.RemoteTraceback:

求助大佬:用Vmware制作Ubuntu22.04虚拟机,使用第三方库时,报错多线程问题multiprocessing.pool.RemoteTraceback:
使用Ubuntu双系统运行,则没有这个报错的问题,应该是虚拟机的原因。

(new_env) stereo-reconstruction@3D-stereo-reconstruction:~/PycharmProjects/3DStereoReconstruction$ cd s2p-master/tests/data/input_pair
(new_env) stereo-reconstruction@3D-stereo-reconstruction:~/PycharmProjects/3DStereoReconstruction/s2p-master/tests/data/input_pair$ s2p config.json
tile size: 350 350
total number of tiles: 4 (2 x 2)

discarding masked tiles...
done 4 / 4 tiles
Elapsed time: 0:00:00.276198

correcting pointing locally...
done 4 / 4 tiles
Elapsed time: 0:00:03.406801

correcting pointing globally...
Elapsed time: 0:00:00.030082

rectifying tiles...
multiprocessing.pool.RemoteTraceback: 
"""
Traceback (most recent call last):
  File "/home/stereo-reconstruction/anaconda3/envs/new_env/lib/python3.7/multiprocessing/pool.py", line 121, in worker
    result = (True, func(*args, **kwds))
  File "/home/stereo-reconstruction/anaconda3/envs/new_env/lib/python3.7/site-packages/s2p/parallel.py", line 43, in tilewise_wrapper
    out = fun(*args)
  File "/home/stereo-reconstruction/anaconda3/envs/new_env/lib/python3.7/site-packages/s2p/__init__.py", line 153, in rectification_pair
    vmargin=cfg['vertical_margin'])
  File "/home/stereo-reconstruction/anaconda3/envs/new_env/lib/python3.7/site-packages/s2p/rectification.py", line 379, in rectify_pair
    common.image_apply_homography(out1, im1, H1, w0 + 2*hmargin, h0 + 2*vmargin)
  File "/home/stereo-reconstruction/anaconda3/envs/new_env/lib/python3.7/site-packages/s2p/common.py", line 228, in image_apply_homography
    run(["homography", im, "-h", hij, out, "%d" % w, "%d" % h])
  File "/home/stereo-reconstruction/anaconda3/envs/new_env/lib/python3.7/site-packages/s2p/common.py", line 93, in run
    env=env, timeout=timeout, check=True)
  File "/home/stereo-reconstruction/anaconda3/envs/new_env/lib/python3.7/subprocess.py", line 512, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['homography', '/home/stereo-reconstruction/PycharmProjects/3DStereoReconstruction/s2p-master/tests/data/input_pair/img_01.tif', '-h', '0.20884736403654156 -0.9784295099695222 477.8876503792799 0.9784295099695222 0.20884736403654156 -173.09153110090955 0.0 0.0 1.0', '/home/stereo-reconstruction/PycharmProjects/3DStereoReconstruction/s2p-master/tests/data/input_pair/../../testoutput/output_pair/tiles/row_0000150_height_350/col_0000150_width_350/pair_1/rectified_ref.tif', '455', '425']' returned non-zero exit status 127.
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/stereo-reconstruction/anaconda3/envs/new_env/bin/s2p", line 8, in <module>
    sys.exit(main())
  File "/home/stereo-reconstruction/anaconda3/envs/new_env/lib/python3.7/site-packages/s2p/cli.py", line 22, in main
    s2p.main(user_cfg)
  File "/home/stereo-reconstruction/anaconda3/envs/new_env/lib/python3.7/site-packages/s2p/__init__.py", line 561, in main
    timeout=timeout)
  File "/home/stereo-reconstruction/anaconda3/envs/new_env/lib/python3.7/site-packages/s2p/parallel.py", line 102, in launch_calls
    outputs.append(r.get(timeout))
  File "/home/stereo-reconstruction/anaconda3/envs/new_env/lib/python3.7/multiprocessing/pool.py", line 657, in get
    raise self._value
subprocess.CalledProcessError: Command '['homography', '/home/stereo-reconstruction/PycharmProjects/3DStereoReconstruction/s2p-master/tests/data/input_pair/img_01.tif', '-h', '0.20884736403654156 -0.9784295099695222 477.8876503792799 0.9784295099695222 0.20884736403654156 -173.09153110090955 0.0 0.0 1.0', '/home/stereo-reconstruction/PycharmProjects/3DStereoReconstruction/s2p-master/tests/data/input_pair/../../testoutput/output_pair/tiles/row_0000150_height_350/col_0000150_width_350/pair_1/rectified_ref.tif', '455', '425']' returned non-zero exit status 127.


img

img

  • 写回答

2条回答

      报告相同问题?

      相关推荐 更多相似问题

      问题事件

      • 系统已结题 5月17日
      • 已采纳回答 5月9日
      • 赞助了问题酬金10元 5月2日
      • 修改了问题 5月2日
      • 展开全部

      悬赏问题

      • ¥15 Halcon 曲线拟合时怎么过滤掉异常点
      • ¥15 edge浏览器最近莫名其妙老是每隔一段时间弹出色情网站,求解决。。
      • ¥15 “glmnet”运行出错
      • ¥30 如何用matlab表达以下公式?
      • ¥15 在arm架构芯片上基于32位linux操作系统做内存检查
      • ¥15 怎么样才能禁止VS自动调整Windows窗体布局
      • ¥15 mysql5.7.40安装到Initializing database报错,如何解决?
      • ¥30 如何降低hdfs中datanode的JVM内存用量
      • ¥15 Android URL如何转成视频/音频,可行吗?
      • ¥40 Hive SQL数据查询,子查询